use std::sync::Arc;

use axum::{extract::State, routing::get, Json, Router};
use sqlx::{types::Uuid, Pool, Postgres};

use crate::{model::Chat, state::AppState};

// TODO: /stat/* should require authentication
pub fn router(state: AppState) -> Router {
    Router::new().route("/chats", get(chats)).with_state(state)
}

async fn chats(State(state): State<AppState>) -> Json<Vec<Chat>> {
    let r = sqlx::query_as!(Chat, "select * from chats;")
        .fetch_all(state.pool())
        .await
        .unwrap();

    Json(r)
}
